Subject: Re: [payload] [AVTCORE] MMTP vs RTP

From: Thomas Edwards <[email-masked]>
Date: Tue, 28 Jul 2015 19:00:39 +0000

I will add that MMT is under study by the ATSC TG3/S33 "Specialist Group on Management and Protocols" to be a transport in the ATSC 3.0 digital broadcast television standard.

It is not yet clear to me if MMT is a good candidate to replace all uses of RTP, but it certainly appears to be a good candidate to replace the use of MPEG Transport Streams for delivery of completed linear content over IP systems.

-Thomas

--
Thomas Edwards
VP Engineering & Development
FOX Networks Engineering and Operations
[email-masked]
Phone: +1.310.369.6696
10201 West Pico Blvd.
Los Angeles, CA 90035

From: "Mo Zanaty (mzanaty)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 28, 2015 at 11:22 AM
To: Michael Speer <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [payload] [AVTCORE] MMTP vs RTP

This is not my work. I just became aware of it in the last meeting. This work would replace RTP itself (RFC 3550) and all RTP payload formats (many specs, e.g. RFC 6184 for H.264). The MMT payload format would be the elementary stream as defined by the codec spec for storage in ISOBMFF containers, augmented with MMT specs and features such as generic packetization / fragmentation.

Mo

On 7/28/15, 2:05 PM, Michael Speer <[email-masked]<mailto:[email-masked]>> wrote:

Mo,

Hi, can you post the RFCs you trying to replace?  In particular, what RTP payload
specification are you trying to replace?

Cheers,
Michael

On Tue, Jul 28, 2015 at 9:15 AM, Mo Zanaty (mzanaty) <[email-masked]<mailto:[email-masked]>> wrote:
I assumed TSVAREA was already aware of this since it was presented there
and will be in their notes. I wanted to bring this to the attention of RTP
folks that may be interested but probably missed this. If there are any
replies here that may be useful for TSV, I will forward. I try to avoid
cross-posting to lists with significantly different topics and subscribers.

Mo

On 7/28/15, 12:05 PM, Ali C. Begen (abegen) <[email-masked]<mailto:[email-masked]>> wrote:
Is not this thread supposed to cc the transport area, too?

-----Original Message-----
From: avt on behalf of "Mo Zanaty (mzanaty)"
Date: Tuesday, July 28, 2015 at 7:02 PM
To: "[email-masked]<mailto:[email-masked]>", "[email-masked]<mailto:[email-masked]>"
Cc: "[email-masked]<mailto:[email-masked]>"
Subject: [AVTCORE] MMTP vs RTP

>MMTP (MPEG Media Transport Protocol) aims to replace RTP and MPEG-2 TS
>for media streaming applications, both real-time and non-real-time. It
>integrates FEC, buffering, congestion control and other functions. It was
>presented in TSVAREA in IETF 93. See
> below for the slides and draft.
>https://www.ietf.org/proceedings/93/slides/slides-93-tsvarea-1.pdf<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_proceedings_93_slides_slides-2D93-2Dtsvarea-2D1.pdf&d=AwMFAg&c=uw6TLu4hwhHdiGJOgwcWD4AjKQx6zvFcGEsbfiY9-EI&r=lekNOOM5noV61zrPH3rwPyhtNnLLWoLEHgd0quQxly8&m=tBjpXMFtLuZk1jwHWIGqof6K2uO7Wx-KbcsnpO6Pvps&s=NxulWK2WFT1-IulMBMEZG0IfB3xGui12ThP4r70yv_Y&e=>
>https://tools.ietf.org/html/draft-bouazizi-tsvwg-mmtp<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dbouazizi-2Dtsvwg-2Dmmtp&d=AwMFAg&c=uw6TLu4hwhHdiGJOgwcWD4AjKQx6zvFcGEsbfiY9-EI&r=lekNOOM5noV61zrPH3rwPyhtNnLLWoLEHgd0quQxly8&m=tBjpXMFtLuZk1jwHWIGqof6K2uO7Wx-KbcsnpO6Pvps&s=aOIhGhYRg-c1eGOuhU0NEoUhK_oXj5JGAbgopI1nIRk&e=>
>
>I found slides 5 and 15 particularly relevant for AVT folks, so inlining
>them.
>
>Why not RTP? (slide 5)
>- Lack of  Multiplexing
>  - One media session per component and without RTP multiplexing, 2 ports
>per session
>- Server Maintenance
>  - RTP Payload Format for every new media codec
>  - Support needs to be added to the media server
>- Coupling of  Presentation and Delivery
>  - RTP carries presentation and synchronization information at the
>transport level
>- Limited support for Non-Real Time Media
>  - Presentations consist of  timed and non-timed media
>  - Need other protocol or countless number of  payload formats to
>support NRT
>
>Why are we here? (slide 15)
>- We want to develop MMTP further in the IETF
>- We want to address the Internet (unicast and Multicast)
>- We want to reuse existing components such as congestion control and
>security
>- A protocol is needed by many SDOs: MPEG, ATSC, 3GPP, DVB, ...
>- Can we revive rmt?
>- Can we start a BoF or a new ad-hoc group?
>- Or can we do an informational RFC?
>
>I think there should be some dialogue on RTP evolution with the MMTP
>folks. Some interesting points are raised in this work, such as generic
>packetization vs. specific RTP payload formats. Perhaps a generic payload
>draft can address this generic packetization
> (i.e. fragmentation and perhaps aggregation) in the absence of a
>specific RTP payload format for the elementary media stream.
>
>Thanks to Gorry for bringing this to my attention.
>
>Mo

_______________________________________________
Audio/Video Transport Core Maintenance
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/avt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_avt&d=AwMFAg&c=uw6TLu4hwhHdiGJOgwcWD4AjKQx6zvFcGEsbfiY9-EI&r=lekNOOM5noV61zrPH3rwPyhtNnLLWoLEHgd0quQxly8&m=tBjpXMFtLuZk1jwHWIGqof6K2uO7Wx-KbcsnpO6Pvps&s=YCsKHXdmo4T7QaGfbqI2eF0rgv_ZQ_jk9LFwhTVQwJ0&e=>

---

From: Michael Speer <[email-masked]>
Date: Tue, 28 Jul 2015 15:40:44 -0700

All,

I agree with you that it’s not clear if MMT is a good candidate to replace all uses of RTP. When we worked on MPEG-TS Payload format
years ago, there where a number of challenges including the fact MPEG-TS was not really suited to packet networks such as IP.   My
main question is whether MMT overcomes many of packetization issues we dealt with at the time.  RTP does quite well for a variety
of applications as we all know, so let’s be careful about use of the words replace.   For MPEG streams, it may well be the case, this
improves the situation for some applications.

The relevant combination of RFCs are to provide context are RFC 3360, RFC 2250, RFC 5691 and RFC 3640.  The last
three RFCs provide MPEG packetization history.

Cheers,
Michael

> On Jul 28, 2015, at 12:00 PM, Thomas Edwards <[email-masked]> wrote:
> 
> From: "Mo Zanaty (mzanaty)" <[email-masked]>
> To: Michael Speer <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> On 7/28/15, 2:05 PM, Michael Speer <[email-masked]> wrote:
> 
> Mo,
> 
> On Tue, Jul 28, 2015 at 9:15 AM, Mo Zanaty (mzanaty) <[email-masked]> wrote:
>> On 7/28/15, 12:05 PM, Ali C. Begen (abegen) <[email-masked]> wrote:
>> To: "[email-masked]", "[email-masked]"
>> Cc: "[email-masked]"
>> >https://www.ietf.org/proceedings/93/slides/slides-93-tsvarea-1.pdf
>> >https://tools.ietf.org/html/draft-bouazizi-tsvwg-mmtp
>> >
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/avt
>

---

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 29 Jul 2015 10:02:29 +0100

I can offer a little context here (but not the presenter):

A proposal was received to the TSV Area that asked if the IETF would be 
able to work on transport methods for the new MMT specification. This 
IETF meeting we had a very short "heads up" presentation in the TSV-Area 
meeting in Prague to open this discussion (see proceedings).

I udnerstand the first version of the MMT specs had been published, 
together with considerations about how to transmit this directly over 
broadcast TV multiplexes. Thought had also been given on how to go 
beyond the MPEG-2 Transport Stream concepts to provide much more 
flexible packetisation and multiplexing, and to target IP networks - 
they also want to work with hybird networks that combine multiple 
delivery methods.

The presentation I saw at the IETF suggested this work was open to IETF 
inputs - expecting methods for real-time delivery and a carousel-based 
reliable transport framework. Although there are Specs, and RTP was 
already evaluated and found to not be directly suitable, I heard that 
there is a hope to define the new methods within the IETF. I can't speak 
for all involved, I'm currently only watching what goes on, but I think 
this may be a case of not bringing a transport spec to the IETF, but 
more of bringing a multimedia architecture and asking how to transport 
it. It's early stages.

Gorry
(TSVWG Co-Chair)

On 28/07/2015 23:40, Michael Speer wrote:
>> On Jul 28, 2015, at 12:00 PM, Thomas Edwards<[email-masked]>  wrote:
>>
>> VP Engineering&  Development
>> From: "Mo Zanaty (mzanaty)"<[email-masked]>
>> To: Michael Speer<[email-masked]>
>> Cc: "[email-masked]"<[email-masked]>, "[email-masked]"<[email-masked]>, "[email-masked]"<[email-masked]>
>> On 7/28/15, 2:05 PM, Michael Speer<[email-masked]>  wrote:
>>
>> Mo,
>>
>> On Tue, Jul 28, 2015 at 9:15 AM, Mo Zanaty (mzanaty)<[email-masked]>  wrote:
>>> On 7/28/15, 12:05 PM, Ali C. Begen (abegen)<[email-masked]>  wrote:

---

From: "Bill Ver Steeg (versteb)" <[email-masked]>
Date: Wed, 29 Jul 2015 13:52:53 +0000

I have seen lots of activity in the MPEG DASH space in this context. As many you know, the world is converging on delivery of adaptive bitrate video using HTTP Adaptive Streaming. There are lots of proprietary methods, but there seems to be a general consensus that MPEG DASH is the eventual convergence point. This, IMHO, is a very good thing.

So, the video broadcast world is noticing this, and trying to skate to where the puck is going. They are all moving to get rid of their naked MPEG2TS video flows and move to an "all IP" delivery model. The various broadcasters/multicasters (SCTE, ATSC, CableLabs, DVB, etc) are embracing the delivery of chunked MPEG DASH video over their deliver networks. If there is enough commonality between the various delivery methods, a lot of very interesting functionality is enabled. The most obvious revolve around several devices watching an event and getting there streams from various paths. You can also envision hybrid error recovery, the use of more than one network to deliver a single stream, various DVR/CDN schemes, etc.

By having a convergence point at the "video chunk" layer, you get a lot of what you need. Once this is in place, it would be really nice to have a common way to deliver these chunks. In the unicast world, that is HTTP. It works great, and we see the uptake. As the broadcasters embrace this technology, they recognize the need for a multicast/broadcast friendly transport that would provide the baseline interoperability between the new "all IP" video delivery model and the HTTP based methods.

Obviously, the way to do the design is to have a general purpose way to deliver objects over several types of networks, and consider MPEG DASH chunks as one type of object. We do not want to design an MPEG-DASH specific solution, but would design a general purpose system that was suitable for delivering objects that look a lot like DASH chunks.

This is where the IETF comes in. IMHO, the expertise to tackle this problem lives at the IETF. The other SDOs are currently going down their own paths here, and are starting to recognize the merits of a common transport layer. Without discussing the relative merits of RTP/MMPT/FLUTE/MMT/ROUTE/whatever, I think it is important to have the IETF take this work up and "do the right thing". Once we get the right folks engaged with the right charter, I think we can come up with a design that satisfies the requirements and allows the convergence that is required to make the most compelling use cases practical.

Bill VerSteeg 

-----Original Message-----
From: avt [mailto:[email-masked]] On Behalf Of Gorry Fairhurst
Sent: Wednesday, July 29, 2015 5:02 AM
To: Michael Speer
Cc: [email-masked]; Thomas Edwards; [email-masked]
Subject: Re: [AVTCORE] [payload] MMTP vs RTP

A proposal was received to the TSV Area that asked if the IETF would be able to work on transport methods for the new MMT specification. This IETF meeting we had a very short "heads up" presentation in the TSV-Area meeting in Prague to open this discussion (see proceedings).

I udnerstand the first version of the MMT specs had been published, together with considerations about how to transmit this directly over broadcast TV multiplexes. Thought had also been given on how to go beyond the MPEG-2 Transport Stream concepts to provide much more flexible packetisation and multiplexing, and to target IP networks - they also want to work with hybird networks that combine multiple delivery methods.

The presentation I saw at the IETF suggested this work was open to IETF inputs - expecting methods for real-time delivery and a carousel-based reliable transport framework. Although there are Specs, and RTP was already evaluated and found to not be directly suitable, I heard that there is a hope to define the new methods within the IETF. I can't speak for all involved, I'm currently only watching what goes on, but I think this may be a case of not bringing a transport spec to the IETF, but more of bringing a multimedia architecture and asking how to transport it. It's early stages.

Gorry
(TSVWG Co-Chair)

On 28/07/2015 23:40, Michael Speer wrote:
> The relevant combination of RFCs are to provide context are RFC 3360, 
> RFC 2250, RFC 5691 and RFC 3640.  The last three RFCs provide MPEG packetization history.
>
> Cheers,
> Michael
>
>
>> FOX Networks Engineering and Operations [email-masked]
>> Phone: +1.310.369.6696
>> 10201 West Pico Blvd.
>> Los Angeles, CA 90035
>>
>>
>> Cc: "[email-masked]"<[email-masked]>, 
>> "[email-masked]"<[email-masked]>, "[email-masked]"<[email-masked]>
>> Hi, can you post the RFCs you trying to replace?  In particular, what 
>> RTP payload specification are you trying to replace?
>>
>> Cheers,
>> Michael
>>
>>
>>> I assumed TSVAREA was already aware of this since it was presented 
>>> there and will be in their notes. I wanted to bring this to the 
>>> attention of RTP folks that may be interested but probably missed 
>>> this. If there are any replies here that may be useful for TSV, I 
>>> will forward. I try to avoid cross-posting to lists with significantly different topics and subscribers.
>>>
>>> Mo
>>>
>>>> MMTP (MPEG Media Transport Protocol) aims to replace RTP and MPEG-2 
>>>> TS for media streaming applications, both real-time and 
>>>> non-real-time. It integrates FEC, buffering, congestion control and 
>>>> other functions. It was presented in TSVAREA in IETF 93. See below 
>>>> for the slides and draft.
>>>> I found slides 5 and 15 particularly relevant for AVT folks, so 
>>>> inlining them.
>>>>
>>>> Why not RTP? (slide 5)
>>>> - Lack of  Multiplexing
>>>>   - One media session per component and without RTP multiplexing, 2 
>>>> ports per session
>>>> - Server Maintenance
>>>> - We want to reuse existing components such as congestion control 
>>>> and security
>>>> I think there should be some dialogue on RTP evolution with the 
>>>> MMTP folks. Some interesting points are raised in this work, such 
>>>> as generic packetization vs. specific RTP payload formats. Perhaps 
>>>> a generic payload draft can address this generic packetization 
>>> Audio/Video Transport Core Maintenance [email-masked]

---

From: Michael Speer <[email-masked]>
Date: Wed, 29 Jul 2015 07:55:15 -0700

All,

Thank you for the bit of background.   I agree that convergence to a non-prorprietary solution that does the job is a
very good thing! I just wanting to provide the background of how we got to where we are now to ensure that whatever
new transport that is created overcomes the shortcomings of the past with respect to transport of MPEG based media.
If MPEG-DASH provides relief from many of the issues we had in the past and the broadcasters and multicasters
are embracing an all IP delivery model, then this is huge progress since the time we developed RTP and the companion
payload specifications.

Cheers,
Michael

> On Jul 29, 2015, at 6:52 AM, Bill Ver Steeg (versteb) <[email-masked]> wrote:
>